Bug 832811 - webadmin: 2nd 'tab' press on 'Add Virtual Disk' loses focus from dialog (or does nothing)
webadmin: 2nd 'tab' press on 'Add Virtual Disk' loses focus from dialog (or d...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.1.0
Assigned To: Asaf Shakarchi
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 10:37 EDT by Yaniv Kaul
Modified: 2016-02-10 11:41 EST (History)
10 users (show)

See Also:
Fixed In Version: SI10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-06-17 10:37:08 EDT
Description of problem:
In Disks tab, press 'Add'. Then you are required to fill several fields. It makes sense to fill them via the keyboard, by entering values and 'tabbing' between the fields. The first thing which has focus on is 'Size' - but pressing 'tab' after that fields does not bring focus to any other field.

Version-Release number of selected component (if applicable):
rhevm-webadmin-portal-3.0.3_0001-3.el6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Asaf Shakarchi 2012-07-03 08:57:23 EDT
Actually hitting tab move the focus to another field but the tabbing fields order is not appropriate to the fields in the view.

Submitted patch which set the appropriate tabbing fields order:

http://gerrit.ovirt.org/#/c/5895/
Comment 2 Asaf Shakarchi 2012-07-03 10:07:04 EDT
Committed [a81a9df44b87ce03e]
Comment 3 Dafna Ron 2012-07-15 04:25:00 EDT
verified on si10

Note You need to log in before you can comment on or make changes to this bug.